package com.house365.ws.system;

import java.util.HashMap;
import java.util.Map;


/**
 * TOPAPI基础响应信息。
 */
public class House365Response implements java.io.Serializable
{

	/**
     * 
     */
	private static final long serialVersionUID = 1L;
	/**
	 * resultCode小于-10000为异常，大于10000为正常
	 */
	private String resultCode;
	/**
	 * 错误信息
	 */
	private String resultMessage = "";
	
	/**
	 * 返回给前台的出参容器
	 */
	private Map<String,Object> resultMap = new HashMap<String,Object>();

	/**
	 * 
	 * @return resultCode
	 */
	public String getResultCode()
	{
		return resultCode;
	}

	public Map<String, Object> getResultMap() {
		return resultMap;
	}

	public void setResultMap(Map<String, Object> resultMap) {
		this.resultMap = resultMap;
	}

	/**
	 * 
	 * @return resultMessage
	 */
	public String getResultMessage()
	{
		return resultMessage;
	}

	/**
	 * 
	 * @param resultCode
	 *            resultCode
	 */
	public void setResultCode(String resultCode)
	{
		this.resultCode = resultCode;
	}

	/**
	 * 
	 * @param resultMessage
	 *            resultMessage
	 */
	public void setResultMessage(String resultMessage)
	{
		this.resultMessage = resultMessage;
	}

}